# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "nmrs"
version = "0.5.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A Rust library for NetworkManager over D-Bus"
documentation = "https://docs.rs/nmrs"
readme = "README.md"
keywords = [
    "networkmanager",
    "dbus",
    "wifi",
    "linux",
    "networking",
]
categories = [
    "api-bindings",
    "asynchronous",
]
license = "MIT"
repository = "https://github.com/cachebag/nmrs"

[lib]
name = "nmrs"
path = "src/lib.rs"

[[test]]
name = "integration_test"
path = "tests/integration_test.rs"

[dependencies.futures]
version = "0.3.31"

[dependencies.futures-timer]
version = "3.0"

[dependencies.log]
version = "0.4.29"

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.thiserror]
version = "2.0.17"

[dependencies.uuid]
version = "1.19.0"
features = ["v4"]

[dependencies.zbus]
version = "5.11.0"

[dependencies.zvariant]
version = "5.7.0"

[dev-dependencies.tokio]
version = "1.48.0"
features = [
    "rt-multi-thread",
    "macros",
    "sync",
    "time",
]
